cascading.tuple.hadoop

## Class TupleSerialization.SerializationElementReader

- java.lang.Object
- - cascading.tuple.hadoop.TupleSerialization.SerializationElementReader

All Implemented Interfaces:
  TupleInputStream.ElementReader

Enclosing class:
  TupleSerialization

    public static class TupleSerialization.SerializationElementReader
    extends java.lang.Object
    implements TupleInputStream.ElementReader

### Constructor Summary

Constructors
Constructor and Description
`TupleSerialization.SerializationElementReader(TupleSerialization tupleSerialization)` Constructor SerializationElementReader creates a new SerializationElementReader instance.

### Method Summary

Methods
`void` `close()`
`java.lang.String` `getClassNameFor(int token, java.io.DataInputStream inputStream)`
`java.util.Comparator` `getComparatorFor(int token, java.io.DataInputStream inputStream)`
`TupleSerialization` `getTupleSerialization()`
`java.lang.Object` `read(java.lang.Class type, java.io.DataInputStream inputStream)`
`java.lang.Object` `read(int token, java.io.DataInputStream inputStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TupleSerialization.SerializationElementReader

    public TupleSerialization.SerializationElementReader(TupleSerialization tupleSerialization)

Constructor SerializationElementReader creates a new SerializationElementReader instance.

Parameters:
  `tupleSerialization` - of type TupleSerialization

### Method Detail

#### getTupleSerialization

    public TupleSerialization getTupleSerialization()

#### read

    public java.lang.Object read(int token,
                        java.io.DataInputStream inputStream)
                          throws java.io.IOException

Specified by:
  `read` in interface `TupleInputStream.ElementReader`
Throws:
  `java.io.IOException`

#### read

    public java.lang.Object read(java.lang.Class type,
                        java.io.DataInputStream inputStream)
                          throws java.io.IOException

Specified by:
  `read` in interface `TupleInputStream.ElementReader`
Throws:
  `java.io.IOException`

#### getComparatorFor

    public java.util.Comparator getComparatorFor(int token,
                                        java.io.DataInputStream inputStream)
                                          throws java.io.IOException

Specified by:
  `getComparatorFor` in interface `TupleInputStream.ElementReader`
Throws:
  `java.io.IOException`

#### getClassNameFor

    public java.lang.String getClassNameFor(int token,
                                   java.io.DataInputStream inputStream)
                                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### close

    public void close()

Specified by:
  `close` in interface `TupleInputStream.ElementReader`